<template>
  <div class="box p-5 md:p-8 mb-10">
    <form @submit.prevent="form.post('/performance/observationNote', { preserveScroll: true })" autocomplete="off">
      <h3>Create Observation</h3>

      <div class="mt-7">
        <label class="block mb-2 text-sm font-medium text-gray-700 ">
          Subject</label>
        <multiselect v-model="form.subject" :multiple="false" :options="users" label="name" track-by="id"
          :customLabel="(user) => `${user.name} (${user.role.name}) - CID ${user.cid}`">
        </multiselect>
        <div v-if="form.errors.subject" class="text-error">
          {{ form.errors.subject }}
        </div>
      </div>

      <div class="w-full flex justify-center items-center">
        <div class="flex w-full mb-2">
          <div class="md:flex flex-grow">
            <div class="flex flex-col w-full">
              <label for="department-name" class="text-sm font-medium text-gray-700 mb-2 mt-5">
                Observation Type</label>
              <select class="dropdown w-full" v-model="form.type">
                <option>Appreciation Note</option>
                <option>Incident Report</option>
              </select>
              <div v-if="form.errors.type" class="text-error">
                {{ form.errors.type }}
              </div>
            </div>
          </div>
        </div>
      </div>


      <div class="w-full flex justify-center items-center ">
        <div class="flex w-full mb-2">
          <div class="md:flex flex-grow">
            <div class="flex flex-col w-full">
              <label for="employee-name" class="text-sm font-medium text-gray-700 mb-2 mt-5">Note
              </label>
              <textarea v-model="form.note" class="textarea" placeholder="Enter note in here" />
              <div v-if="form.errors.note" class="text-error">
                {{ form.errors.note }}
              </div>
            </div>
          </div>
        </div>
      </div>

      

      <div class="flex gap-x-3 mt-3 flex-row-reverse">
        <button type="submit" class="btn bg-green-500 text-white px-4 py-2 rounded-md hover:bg-green-600 focus:outline-none focus:ring-2 focus:ring-green-500 focus:ring-offset-2">Save</button>
    <Link href="/performance/observationNote" class="btn bg-gray-200 text-gray-700 px-4 py-2 ml-3 rounded-md hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-gray-500 focus:ring-offset-2">Cancel</Link>
      
       
      </div>
    </form>
  </div>
</template>

<script setup>
import { Link, useForm } from '@inertiajs/vue3';



const props = defineProps({
  users: Array
})

const form = useForm({
  type: '',
  note: '',
  subject: null
});

</script>